//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tSMVSettings complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tSMVSettings"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceSettings"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice maxOccurs="unbounded"&gt;
 *           &lt;element name="SmpRate"&gt;
 *             &lt;simpleType&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *                 &lt;minExclusive value="0"/&gt;
 *               &lt;/restriction&gt;
 *             &lt;/simpleType&gt;
 *           &lt;/element&gt;
 *           &lt;element name="SamplesPerSec"&gt;
 *             &lt;simpleType&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *                 &lt;minExclusive value="0"/&gt;
 *               &lt;/restriction&gt;
 *             &lt;/simpleType&gt;
 *           &lt;/element&gt;
 *           &lt;element name="SecPerSamples"&gt;
 *             &lt;simpleType&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *                 &lt;minExclusive value="0"/&gt;
 *               &lt;/restriction&gt;
 *             &lt;/simpleType&gt;
 *           &lt;/element&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="McSecurity" type="{http://www.iec.ch/61850/2003/SCL}tMcSecurity" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="svID" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="optFields" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="smpRate" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="samplesPerSec" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="pdcTimeStamp" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="synchSrcId" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="nofASDU" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsNoDynEnum" default="Fix" /&gt;
 *       &lt;attribute name="kdaParticipant" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tSMVSettings", propOrder = {
    "smpRateOrSamplesPerSecOrSecPerSamples",
    "mcSecurity"
})
public class TSMVSettings
    extends TServiceSettings
{

    @XmlElementRefs({
        @XmlElementRef(name = "SmpRate", namespace = "http://www.iec.ch/61850/2003/SCL", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "SamplesPerSec", namespace = "http://www.iec.ch/61850/2003/SCL", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "SecPerSamples", namespace = "http://www.iec.ch/61850/2003/SCL", type = JAXBElement.class, required = false)
    })
    protected List<JAXBElement<Long>> smpRateOrSamplesPerSecOrSecPerSamples;
    @XmlElement(name = "McSecurity")
    protected TMcSecurity mcSecurity;
    @XmlAttribute(name = "svID")
    protected TServiceSettingsEnum svID;
    @XmlAttribute(name = "optFields")
    protected TServiceSettingsEnum optFields;
    @XmlAttribute(name = "smpRate")
    protected TServiceSettingsEnum smpRate;
    @XmlAttribute(name = "samplesPerSec")
    protected Boolean samplesPerSec;
    @XmlAttribute(name = "pdcTimeStamp")
    protected Boolean pdcTimeStamp;
    @XmlAttribute(name = "synchSrcId")
    protected Boolean synchSrcId;
    @XmlAttribute(name = "nofASDU")
    protected TServiceSettingsNoDynEnum nofASDU;
    @XmlAttribute(name = "kdaParticipant")
    protected Boolean kdaParticipant;

    /**
     * Gets the value of the smpRateOrSamplesPerSecOrSecPerSamples property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the smpRateOrSamplesPerSecOrSecPerSamples property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSmpRateOrSamplesPerSecOrSecPerSamples().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link Long }{@code >}
     * {@link JAXBElement }{@code <}{@link Long }{@code >}
     * {@link JAXBElement }{@code <}{@link Long }{@code >}
     * 
     * 
     */
    public List<JAXBElement<Long>> getSmpRateOrSamplesPerSecOrSecPerSamples() {
        if (smpRateOrSamplesPerSecOrSecPerSamples == null) {
            smpRateOrSamplesPerSecOrSecPerSamples = new ArrayList<JAXBElement<Long>>();
        }
        return this.smpRateOrSamplesPerSecOrSecPerSamples;
    }

    /**
     * 获取mcSecurity属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TMcSecurity }
     *     
     */
    public TMcSecurity getMcSecurity() {
        return mcSecurity;
    }

    /**
     * 设置mcSecurity属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TMcSecurity }
     *     
     */
    public void setMcSecurity(TMcSecurity value) {
        this.mcSecurity = value;
    }

    /**
     * 获取svID属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getSvID() {
        if (svID == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return svID;
        }
    }

    /**
     * 设置svID属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setSvID(TServiceSettingsEnum value) {
        this.svID = value;
    }

    /**
     * 获取optFields属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getOptFields() {
        if (optFields == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return optFields;
        }
    }

    /**
     * 设置optFields属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setOptFields(TServiceSettingsEnum value) {
        this.optFields = value;
    }

    /**
     * 获取smpRate属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getSmpRate() {
        if (smpRate == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return smpRate;
        }
    }

    /**
     * 设置smpRate属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setSmpRate(TServiceSettingsEnum value) {
        this.smpRate = value;
    }

    /**
     * 获取samplesPerSec属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSamplesPerSec() {
        if (samplesPerSec == null) {
            return false;
        } else {
            return samplesPerSec;
        }
    }

    /**
     * 设置samplesPerSec属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSamplesPerSec(Boolean value) {
        this.samplesPerSec = value;
    }

    /**
     * 获取pdcTimeStamp属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isPdcTimeStamp() {
        if (pdcTimeStamp == null) {
            return false;
        } else {
            return pdcTimeStamp;
        }
    }

    /**
     * 设置pdcTimeStamp属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPdcTimeStamp(Boolean value) {
        this.pdcTimeStamp = value;
    }

    /**
     * 获取synchSrcId属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSynchSrcId() {
        if (synchSrcId == null) {
            return false;
        } else {
            return synchSrcId;
        }
    }

    /**
     * 设置synchSrcId属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSynchSrcId(Boolean value) {
        this.synchSrcId = value;
    }

    /**
     * 获取nofASDU属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsNoDynEnum }
     *     
     */
    public TServiceSettingsNoDynEnum getNofASDU() {
        if (nofASDU == null) {
            return TServiceSettingsNoDynEnum.FIX;
        } else {
            return nofASDU;
        }
    }

    /**
     * 设置nofASDU属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsNoDynEnum }
     *     
     */
    public void setNofASDU(TServiceSettingsNoDynEnum value) {
        this.nofASDU = value;
    }

    /**
     * 获取kdaParticipant属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isKdaParticipant() {
        if (kdaParticipant == null) {
            return false;
        } else {
            return kdaParticipant;
        }
    }

    /**
     * 设置kdaParticipant属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setKdaParticipant(Boolean value) {
        this.kdaParticipant = value;
    }

}
